Fedora Core 5 : avahi-0.6.11-2.fc5 (2006-1339)

High Nessus Plugin ID 24061


The remote Fedora Core host is missing a security update.


Avahi before 0.6.15 does not verify the sender identity of netlink messages to ensure that they come from the kernel instead of another process, which allows local users to spoof network changes to Avahi.

avahi-0.6.11-2.fc5 has applied patch which should resolve this issue.

Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected packages.

See Also


Plugin Details

Severity: High

ID: 24061

File Name: fedora_2006-1339.nasl

Version: $Revision: 1.12 $

Type: local

Agent: unix

Published: 2007/01/17

Modified: 2015/10/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:avahi, p-cpe:/a:fedoraproject:fedora:avahi-compat-howl, p-cpe:/a:fedoraproject:fedora:avahi-compat-howl-devel, p-cpe:/a:fedoraproject:fedora:avahi-compat-libdns_sd, p-cpe:/a:fedoraproject:fedora:avahi-compat-libdns_sd-devel, p-cpe:/a:fedoraproject:fedora:avahi-debuginfo, p-cpe:/a:fedoraproject:fedora:avahi-devel, p-cpe:/a:fedoraproject:fedora:avahi-glib, p-cpe:/a:fedoraproject:fedora:avahi-glib-devel, p-cpe:/a:fedoraproject:fedora:avahi-qt3, p-cpe:/a:fedoraproject:fedora:avahi-qt3-devel, p-cpe:/a:fedoraproject:fedora:avahi-sharp, p-cpe:/a:fedoraproject:fedora:avahi-tools, cpe:/o:fedoraproject:fedora_core:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2006/11/28

Reference Information

FEDORA: 2006-1339